<!DOCTYPE html>
<html>

<head th:replace="fragments/header :: head"></head>

<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <main class="page registration-page">
        <section class="clean-block clean-form dark">
            <div class="container">
                <div class="block-heading">
                    <h2 class="text-info" th:text="#{label.registration}">Registration</h2>
                </div>
                <form th:action="@{/registration}" th:object="${userForm}" method="post">
                    <div class="form-group">
                        <label th:text="|* #{label.login}|">*Login</label>
                        <input class="form-control item" type="text" th:field="*{login}">
                        <span th:if="${#fields.hasErrors('login')}" th:errors="*{login}">login Error</span>
                    </div>
                    <div class="form-group">
                        <label th:text="|* #{label.first_name}|">*First name</label>
                        <input class="form-control item" type="text" th:field="*{firstName}">
                        <span th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}">firstName Error</span>
                    </div>
                    <div class="form-group">
                        <label th:text="#{label.last_name}">Last name</label>
                        <input class="form-control item" type="text" th:field="*{lastName}">
                        <span th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}">firstName Error</span>
                    </div>
                    <div class="form-group">
                        <label th:text="|* #{label.password}|">*Password</label>
                        <input class="form-control item" type="password" th:field="*{password}">
                        <span th:if="${#fields.hasErrors('password')}" th:errors="*{password}">firstName Error</span>
                    </div>
                    <button class="btn btn-primary btn-block" type="submit" th:text="#{label.sign-up}">Sign Up</button>
                </form>
            </div>
        </section>
    </main>

    <footer th:replace="fragments/footer:: footer (fixed = true)"></footer>
</body>

</html>